<?php
$load_font          = true;
$logo_url           = nmd_get_the_customizer_image_url('nmd_logo_image', false);
$lazyload_font      = get_option('nmd_lazyload_web_font', false);
$disable_web_font   = get_option('nmd_disable_web_font', false);
$disable_sub_heaer	= get_option('nmd_sub_header_display', false);

if ($lazyload_font || $disable_web_font) {
	$load_font = false;
}

$registerd = get_option('nmd_registered_key');

?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
	<link rel="preconnect" href="https://pagead2.googlesyndication.com" crossorigin>
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link rel="preconnect" href="https://fonts.googleapis.com" crossorigin>
	<link rel="preconnect" href="https://googleads.g.doubleclick.net" crossorigin>
	<link rel="preconnect" href="https://stats.g.doubleclick.net" crossorigin>
	<link rel="preconnect" href="https://static.doubleclick.net" crossorigin>
	<?php if ($load_font) : ?>
		<link href="https://fonts.googleapis.com/css?family=Noto+Sans+JP&display=swap" rel="stylesheet" />
	<?php endif; ?>
	<?php get_template_part('includes/head/add-style'); ?>
	<?php wp_head(); ?>
	<?php get_template_part('includes/head/head-seo'); ?>
	<?php get_template_part('includes/head/inline-style'); ?>
	<?php get_template_part('includes/head/adsense-auto'); ?>
	<?php echo get_option('nmd_add_element_head', ''); ?>
</head>

<body <?php body_class(); ?>>
	<?php wp_body_open(); ?>
	<header class="header" id="header">
		<?php if ($disable_sub_heaer) : ?>
			<?php get_template_part('includes/header/sub-header'); ?>
		<?php endif; ?>

		<div class="nav-container">
			<?php get_template_part('includes/header/pc-header'); ?>
			<?php get_template_part('includes/header/sp-header'); ?>
		</div>
	</header>
