<?php

if (is_home()) {
	$column = get_option('nmd_toppage_column', 'multi');
} else {
	$column = get_option('nmd_archive_column', 'multi');
}
$settings = nmd_get_entries_settings($column);
$entries_class = $settings['class'];
$str_num_pc = $settings['str_num_pc'];
$str_num_sp = $settings['str_num_sp'];

$infeed_adsense_code = get_option( 'nmd_infeed_adsense_code', null );
$count = 1;
$infeed_num = !empty( get_option( 'nmd_infeed_adsense_code_num', null ) ) 
                ? nmd_comma_separated_to_array( get_option( 'nmd_infeed_adsense_code_num' ) ) : null;

?>
<?php if (have_posts()) : ?>
	<div class="<?php echo $entries_class; ?>">
		<?php while (have_posts()) : the_post(); ?>
			<?php
			$permalink	= get_the_permalink();
			$title		= get_the_title();
			$thumb_url	= nmd_get_thumbnail_url($post->ID, 'medium_large');
			$cat_data	= get_the_category();
			$cat_name	= !empty($cat_data[0]) ? $cat_data[0]->name : '';
			$datetime	= get_the_date('Y.m.d');
			?>
			<?php if( !empty( $infeed_num ) && in_array( $count, $infeed_num, false ) ): ?>
				<div class="entry-wrap entry-wrap--ads">
					<?php echo nmd_infeed_ad_html( $infeed_adsense_code ); ?>
				</div>
			<?php endif; ?>
			<a href="<?php echo $permalink; ?>" class="entry-wrap">
				<article class="entry-card">
					<figure class="entry-thumb">
						<img src="<?php echo $thumb_url; ?>" alt="<?php echo $title; ?>" />
					</figure>
					<div class="entry-body">
						<span class="entry-body__label">
							<?php echo $cat_name; ?>
						</span>
						<h2 class="entry-body__title">
							<?php echo nmd_mb_substr_text($title, $str_num_pc); ?>
						</h2>
						<h2 class="entry-body__title entry-body__title--sp">
							<?php echo nmd_mb_substr_text($title, $str_num_sp); ?>
						</h2>
						<span class="entry-body__date">
							<time datetime="<?php echo get_the_date('Y-m-d'); ?>">
								<?php echo $datetime; ?>
							</time>
						</span>
					</div>
				</article>
			</a>
			<?php $count++; ?>
		<?php endwhile; ?>
	</div>
	<div class="pager">
		<?php echo paginate_links(array(
			'type' => 'list',
			'prev_text' => '',
			'next_text' => '',
		)); ?>
	</div>
<?php else : ?>
	<?php if ( is_search() ) : ?>
		<?php get_template_part('includes/search-notfound'); ?>
	<?php else : ?>
		<?php get_template_part('includes/notfound'); ?>
	<?php endif; ?>
<?php endif; ?>