<?php 
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if ( !is_single() ) return;

$publisher_name  = esc_attr( get_option( 'nmd_publisher_name' ) );
$publisher_image = esc_url( get_option( 'nmd_publisher_image' ) );

if( empty( $publisher_name ) || empty( $publisher_image ) ) return;

$blog_name = get_bloginfo( 'name' );

$post_eyecatch_info      = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
$default_thumbnail_info  = nmd_get_the_customizer_image_info( 'nmd_default_thumbnail' );
$top_page_ogp_image_info = nmd_get_the_customizer_image_info( 'nmd_top_page_ogp_image' );

$thumb_info = false;

// 記事のサムネイル画像を取得
if ( $post_eyecatch_info ) {

    $thumb_info = $post_eyecatch_info;

} elseif ( $default_thumbnail_info ) {

    $thumb_info = $default_thumbnail_info;

} elseif ( $top_page_ogp_image_info ) {

    $thumb_info = $top_page_ogp_image_info;

}

if ( $thumb_info ){

    $src    = $thumb_info[0];
    $width  = $thumb_info[1];
    $height = $thumb_info[2];

} else {

    $src    = NMD_TEMPLATE_URI . '/assets/img/no-image/no-image_medium-large.png';
    $width  = '768';
    $height = '432';

}

?>
<script type="application/ld+json">
  {
    "@context": "http://schema.org",
    "@type": "Article",
    "name": "<?php echo $blog_name; ?>",
    "mainEntityOfPage":"<?php the_permalink(); ?>",
    "headline": "<?php the_title(); ?>",
    "image": {
      "@type": "ImageObject",
      "url": "<?php echo $src; ?>",
      "width":<?php echo $width; ?>,
      "height":<?php echo $height; ?>
    },
    "datePublished": "<?php echo get_the_date(DATE_ISO8601); ?>",
    "dateModified": "<?php echo get_the_date() != get_the_modified_time() ? the_modified_date(DATE_ISO8601) : get_the_date(DATE_ISO8601); ?>",
    "author": {
      "@type": "Person",
      "name": "<?php the_author_meta( 'display_name' ); ?>"
    },
    "publisher": {
      "@type": "Organization",
      "name": "<?php echo $publisher_name; ?>",
      "logo": {
        "@type": "ImageObject",
        "url": "<?php echo $publisher_image; ?>"
    }
  },
  "description": "<?php echo get_the_excerpt(); ?>"
  }
</script>