<?php

if (!defined('ABSPATH')) {
	exit;
}
/**
 * noindex, nofollowの設定
 */

if (!empty(get_option('nmd_invalidation_index', false))) return;

$post_type = get_post_type();
$is_noindex = false;
$is_nofollow = false;
$robots_content = '';

if (is_singular()) {
	/**
	 * 投稿・固定ページ
	 */
	$post_id = get_the_ID();
	
	$is_noindex = get_post_meta($post_id, 'is_noindex', true);
	$is_nofollow = get_post_meta($post_id, 'is_nofollow', true);

	if ($post_type === "parts" || $post_type === "ranking") {

		$robots_content = 'noindex,nofollow';
	} elseif ($is_noindex === 'noindex' && $is_nofollow === 'nofollow') {

		$robots_content = 'noindex,nofollow';
	} elseif ($is_noindex === 'noindex') {

		$robots_content = 'noindex';
	} elseif ($is_nofollow === 'nofollow') {

		$robots_content = 'nofollow';
	}
} elseif (is_category()) {
	/**
	 * カテゴリーページ
	 */
	if (!empty(get_option('nmd_setting_index_category')) && !empty(get_option('nmd_setting_follow_category'))) {

		$robots_content = 'noindex,nofollow';
	} elseif (!empty(get_option('nmd_setting_index_category'))) {

		$robots_content = 'noindex';
	} elseif (!empty(get_option('nmd_setting_follow_category'))) {

		$robots_content = 'nofollow';
	}
} elseif (is_tag()) {
	/**
	 * タグページ
	 */
	if (!empty(get_option('nmd_setting_index_tags')) && !empty(get_option('nmd_setting_follow_tags'))) {

		$robots_content = 'noindex,nofollow';
	} elseif (!empty(get_option('nmd_setting_index_tags'))) {

		$robots_content = 'noindex';
	} elseif (!empty(get_option('nmd_setting_follow_tags'))) {

		$robots_content = 'nofollow';
	}
} elseif (is_date()) {
	/**
	 * 投稿日
	 */
	if (!empty(get_option('nmd_setting_index_date')) && !empty(get_option('nmd_setting_follow_date'))) {

		$robots_content = 'noindex,nofollow';
	} elseif (!empty(get_option('nmd_setting_index_date'))) {

		$robots_content = 'noindex';
	} elseif (!empty(get_option('nmd_setting_follow_date'))) {

		$robots_content = 'nofollow';
	}
} elseif (is_search()) {
	/**
	 * 検索結果ページ
	 */
	if (!empty(get_option('nmd_setting_index_search')) && !empty(get_option('nmd_setting_follow_search'))) {

		$robots_content = 'noindex,nofollow';
	} elseif (!empty(get_option('nmd_setting_index_search'))) {

		$robots_content = 'noindex';
	} elseif (!empty(get_option('nmd_setting_follow_search'))) {

		$robots_content = 'nofollow';
	}
} elseif (is_author()) {
	/**
	 * 投稿者の記事一覧ページ
	 */
	if (!empty(get_option('nmd_setting_index_author_page')) && !empty(get_option('nmd_setting_follow_author_page'))) {

		$robots_content = 'noindex,nofollow';
	} elseif (!empty(get_option('nmd_setting_index_author_page'))) {

		$robots_content = 'noindex';
	} elseif (!empty(get_option('nmd_setting_follow_author_page'))) {

		$robots_content = 'nofollow';
	}
}
?>
<?php if (!empty($robots_content)) : ?>
	<meta name="robots" content="<?php echo $robots_content; ?>">
<?php endif; ?>