<?php
// MVのURL
$mv_url             = get_header_image('header_image');
$mv_url_retina      = nmd_get_the_customizer_image_url('nmd_header_image_retina', 'full');
$mv_url_sp_retina   = nmd_get_the_customizer_image_url('nmd_sp_header_image', 'medium_large');
$mv_url_sp          = nmd_get_the_customizer_image_url('nmd_sp_header_image', 'medium');
if (!$mv_url_sp) $mv_url_sp = $mv_url;

// MVのサイズ
$mv_width = get_option('nmd_header_image_width', 'full');
$mv_wrapper_class = '';

if( 'full' === $mv_width ) {
	$mv_wrapper_class = 'main-visual-wrap';
} else {
	$mv_wrapper_class = 'main-visual-wrap main-visual-wrap--contents';
}
$mv_class = 'main-visual main-visual-' . $mv_width;

// MVのテキスト
$content_type = get_option('nmd_header_image_text_type', 'title');
$sp_srcset = $mv_url_retina ? 'srcset="' . $mv_url . ' 1x, ' . $mv_url_retina . ' 2x"' : '';

switch ($content_type) {
	case 'title':
		$title = NMD_BLOG_NAME;
		break;

	case 'custom':
		$title = get_option('nmd_header_image_text', '');
		break;

	default:
		$title = null;
		break;
}

// MVのコンセプト
$sub_text	= get_option('nmd_header_image_concept', false);
$sub_text_color	= get_option('nmd_header_image_concept_color', '#fff');
$sub_text_style	= 'color:' . $sub_text_color . ';';

// MVのボタン
$btn_url = get_option('nmd_header_image_btn_url', false);
$btn_text = get_option('nmd_header_image_btn_text', __('リンク', NMD_TEXT_DOMAIN));
$btn_color = get_option('nmd_header_image_btn_color', '#29CAD8');
$btn_style = 'background-color:' . $btn_color . ';';
?>

<?php if ($mv_url) : ?>
	<div class="<?php echo $mv_wrapper_class; ?>">
		<div class="<?php echo $mv_class; ?>" id="main-visual">
			<img src="<?php echo $mv_url; ?>" <?php echo $sp_srcset; ?> class="main-visual__img" alt="<?php _e('main visual', NMD_TEXT_DOMAIN); ?>" />
			<img src="<?php echo $mv_url_sp; ?>" srcset="<?php echo $mv_url_sp; ?> 1x, <?php echo $mv_url_sp_retina; ?> 2x" class="main-visual__img main-visual__img--sp" alt="<?php _e('main visual', NMD_TEXT_DOMAIN); ?>" />
			<?php if ($title || $sub_text || $btn_url) : ?>
				<div class="title-content-wrap">
					<div class="title-content-inner">
						<?php if ($title) : ?>
							<div class="title-content" id="c-mv-title">
								<p class="title-content__text">
									<?php echo $title; ?>
								</p>
							</div>
						<?php endif; ?>
						<?php if ($sub_text || $btn_url) : ?>
							<div class="title-sub-content" id="title-sub-content">
								<?php if ($sub_text) : ?>
									<p class="title-sub-content__content-text" style="<?php echo $sub_text_style; ?>">
										<?php echo $sub_text; ?>
									</p>
								<?php endif; ?>
								<?php if ($btn_url) : ?>
									<a href="<?php echo esc_url($btn_url); ?>" class="title-sub-content__content-btn" style="<?php echo $btn_style; ?>" id="title-sub-content-btn">
										<?php echo $btn_text; ?>
									</a>
								<?php endif; ?>
							</div>
						<?php endif; ?>
					</div>
				</div>
			<?php endif; ?>
		</div>
	</div>
<?php endif; ?>