<?php
/**
 * カスタマイザーの設定
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if( ! function_exists( 'nmd_customizer_register_active_theme' ) ) {
	function nmd_customizer_register_active_theme( $wp_customize ) {
		/**
		 * テーマのアクティブ化 =========================================================
		 */
		$error_msg = '';

		if ( !empty( get_option( 'nmd_set_theme_key' ) ) ) {
		
			$key = get_option( 'nmd_set_theme_key' );

			$url = 'https://wp.nomad.inc/api/?key=' . $key;

			$response = @wp_remote_get( $url );

			if( ! is_wp_error( $response ) && $response["response"]["code"] === 200 ) {

				$json = $response["body"];
				$data = json_decode( $json,true );

				if( $data["status"] ) {
					$error_msg = '<p style="color: #0ea95d;">キーは設定済みです。</p>';
				} 
			} 
		} else {
			$error_msg = '<p style="color: red;">キーをセットしないと自動アップデートなどの機能が一部制限されます。</p>';
		}
			/**
			 * テーマのアクティブ化
			 */
			$wp_customize->add_section( 'nmd_theme_active_section', array(
				'title'       => '[Nomad]テーマキー',
				'priority'    => 190,
				'description' => '<p><a href="https://wp.nomad.inc/login/" target="_blank">ここからログインしてキーを取得してください。</a></p>' . $error_msg,
			) );
				$wp_customize->add_setting( 'nmd_set_theme_key', array(
					'type'				=> 'option',
					'sanitize_callback' => 'sanitize_text_field',
				) );
				$wp_customize->add_control( 'nmd_set_theme_key', array(
					'label'       => __( 'キーをセット', NMD_TEXT_DOMAIN ),
					'description' => __( '「NMD_」から始まるキーをセットしてください。', NMD_TEXT_DOMAIN ),
					'section'     => 'nmd_theme_active_section',
					'settings'    => 'nmd_set_theme_key',
					'type'        => 'text',
				) );
	}
	add_action( 'customize_register', 'nmd_customizer_register_active_theme' );
}
