<?php

if ( !defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * CSSとJavaScriptの読み込み
 */
if (!function_exists('nmd_enqueue_scripts')) {
	function nmd_enqueue_scripts() {

		$style_depth = is_home() ? array('swiper-style') : array();

		if( is_home() ) {
			wp_enqueue_style( 'swiper-style', 'https://unpkg.com/swiper@7/swiper-bundle.min.css' );
			wp_enqueue_script( 'swiper-script', 'https://unpkg.com/swiper@7/swiper-bundle.min.js', array(), false, true );
			wp_enqueue_script( 'nmd-slide', NMD_TEMPLATE_URI . '/assets/js/lib/slide.js', array('swiper-script'), NMD_THEME_VERSION, true );
		}

		if ( empty( get_option( 'nmd_css_inline', false ) ) ) {
			wp_enqueue_style( 'theme-style', NMD_TEMPLATE_URI . '/assets/css/theme.css', $style_depth, NMD_THEME_VERSION );
		}

		wp_enqueue_script( 'theme-script', NMD_TEMPLATE_URI . '/assets/js/script.js', array(), NMD_THEME_VERSION, true );

		if ( ! empty( get_option( 'nmd_adsense_available_lazyload', false ) ) ) {
			wp_enqueue_script( 'lazyload-ads', NMD_TEMPLATE_URI . '/assets/js/lib/ads-lazyload.js', array(), NMD_THEME_VERSION, true );
		}

		if ( ! empty( get_option( 'nmd_lazyload_tw_insta', false ) ) ) {
			wp_enqueue_script( 'lazyload-tw-insta', NMD_TEMPLATE_URI . '/assets/js/lib/twitter-insta-lazy-load.js', array(), NMD_THEME_VERSION, true );
		}

	}
	add_action('wp_enqueue_scripts', 'nmd_enqueue_scripts');
}

/**
 * 管理画面のCSS
 */
if (!function_exists('nmd_admin_style')) {
	function nmd_admin_style()
	{
		wp_enqueue_style('nmd_admin_style', NMD_TEMPLATE_URI . '/admin-style.css', array(), NMD_THEME_VERSION);
	}
	add_action('admin_enqueue_scripts', 'nmd_admin_style');
}

/**
 * 設定でjQueryを削除
 * 後ほど実装
 */
/* if ( get_option('nmd_unuse_jquery', false ) && ! is_admin() && ! is_customize_preview() && ! function_exists('nmd_delete_local_jquery')) {
	function nmd_delete_local_jquery()
	{
		wp_deregister_script('jquery');
	}
	add_action('wp_enqueue_scripts', 'nmd_delete_local_jquery');
} */