<?php

if (!is_user_logged_in() && !nmd_is_bot()) nmd_set_post_views(get_the_ID());

$column = get_option('nmd_post_column', 'multi');
$is_multi = $column === 'multi';
$main_class = $is_multi ? "main main--multi-column" : "main";
$content_class = $is_multi ? "content content--post content--post-multi" : "content content--post content--post-single";

$entry_class = 'entry-content' . nmd_get_heading_class();
get_header();

?>
<div class="container">
    <div class="<?php echo $content_class; ?>" id="content">
        <div class="wrapper" id="wrapper">
            <main class="<?php echo $main_class; ?>">
                <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                        <?php get_template_part( 'includes/article-content/entry-header' ); ?>
                        <div class="<?php echo $entry_class; ?>" id="entry-content">
                            <?php the_content(); ?>
                        </div>
                        <?php get_template_part('includes/article-content/entry-footer'); ?>
                    </article>
                <?php endwhile; endif; ?>
            </main>
            <?php if ($is_multi) get_sidebar(); ?>
        </div>
    </div>
</div>
<?php get_template_part( 'includes/footer/json-ld' ); ?>
<?php
get_footer();
?>